/*
* @description: 中标结果公示公共方法
  @Modifier: 郝凤仙
  @routerPath:
  @date: 2020/1/16-15:13
* */
/* 组件*/
const bidResultBulletinCommon = {
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // true 工作流进入驳回编辑
      // 获取附件参数
      upLoadData: {
        bizId: '', // 业务主键Id
        fileType: 'win_bid_result_bulletin_attachment '// 文件类型
      },
      // 获取通知书内容pdf
      bulletinContentData: {
        bizId: '', // 业务主键Id
        fileType: 'win_bid_result_bulletin_content'// 文件类型
      },
      winBidResultBulletinId: '' // 结果公示id
    }
  },
  created() {
    // flowStatus为true 工作流进入 否则是驱动进入
    let winBidResultBulletinId = '' // 结果公示id
    if (this.flowStatus) {
      winBidResultBulletinId = this.$route.query.bizId // 工作流进入bizId
    } else {
      winBidResultBulletinId = this.$route.query.winBidResultBulletinId // 驱动进入取招标文件winBidResultBulletinId
    }
    this.upLoadData.bizId = winBidResultBulletinId // 上传附件参数
    this.bulletinContentData.bizId = winBidResultBulletinId // 获取通知书内容pdf
    this.winBidResultBulletinId = winBidResultBulletinId // 结果公示id
  }
}

export { bidResultBulletinCommon }
